<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/09/2008 *
 * ===================                          Last change: 09/09/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-primera.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Payout extension                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auszahlung-Erweiterung                           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version of this extension
setThisExtensionVersion('0.0.0');

// Version history array (add more with , '0.0.1' and so on)
setExtensionVersionHistory(array('0.0.0'));

// This extension is in development (non-productive)
enableExtensionProductive(false);

switch (getExtensionMode()) {
	case 'register': // Do stuff when installation is running
		// SQL commands to run
		addDropTableSql('user_primera');
		addCreateTableSql('user_primera', "
`id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
`userid` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0,
`primera_account` VARCHAR(255) NOT NULL DEFAULT '',
`primera_amount` FLOAT(20,5) UNSIGNED NOT NULL DEFAULT 0.00000,
`primera_timestamp` VARCHAR(10) NOT NULL DEFAULT 0,
`primera_type` ENUM('WITHDRAW','PAYOUT','FAILED') NOT NULL DEFAULT 'FAILED',
`primera_api_message` TINYTEXT,
`primera_api_status` VARCHAR(255) NULL DEFAULT NULL,
PRIMARY KEY (`id`),
INDEX (`userid`)",
			'Transfers in Primera');

		// Configuration
		addConfigAddSql('primera_min_payout', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT 40000');
		addConfigAddSql('primera_min_withdraw', 'BIGINT(20) UNSIGNED NOT NULL DEFAULT 5000');
		addConfigAddSql('primera_api_name', "VARCHAR(255) NOT NULL DEFAULT ''");
		addConfigAddSql('primera_api_md5', "VARCHAR(32) NOT NULL DEFAULT ''");
		addConfigAddSql('primera_refid', "VARCHAR(255) NOT NULL DEFAULT ''");

		// User data
		addExtensionSql("ALTER TABLE `{?_MYSQL_PREFIX?}_user_data` ADD `primera_nickname` VARCHAR(255) NOT NULL DEFAULT ''");

		// Admin menu
		addAdminMenuSql('primera', NULL, 'Primera-Management', 'Konfiguration zur Primera-API einstellen, Auszahlungen auflisten usw..', 15);
		addAdminMenuSql('primera', 'config_primera', 'Primera-API-Einstellungen', 'Konfiguration zur Primera-API einstellen.', 1);
		addAdminMenuSql('primera', 'list_primera', 'Primera-Anfragen auflisten', 'Listet alle Primera-Auszahlungsanfragen Ihrer Mitglieder auf.', 2);

		// Member menu
		addMemberMenuSql('main', 'primera', 'Primera-Ein-/Auszahlungen', 11);
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addDropTableSql('user_primera');
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `action`='primera'");
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_member_menu` WHERE `what`='primera'");
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `visible`='Y', `locked`='N' WHERE `what`='primera' LIMIT 1");
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_member_menu` SET `visible`='N', `locked`='Y' WHERE `what`='primera' LIMIT 1");
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes('');
				break;
		} // END - if
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		logDebugMessage(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - if

// [EOF]
?>
