<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/10/2004 *
 * ===================                          Last change: 09/29/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-task.php                                     *
 * -------------------------------------------------------------------- *
 * Short description : Task management                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Aufgabenverwaltung                               *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Version number
setThisExtensionVersion('0.3.3');

// Version history array (add more with , '0.0.1' and so on)
setExtensionVersionHistory(array('0.0.0', '0.0.1', '0.0.2', '0.0.3', '0.0.4', '0.0.5', '0.0.6', '0.0.7', '0.0.8', '0.0.9', '0.1.0', '0.1.1', '0.1.2', '0.1.3', '0.1.4', '0.1.5', '0.1.6', '0.1.7', '0.1.8', '0.1.9', '0.2.0', '0.2.1', '0.2.2', '0.2.3', '0.2.4', '0.2.5', '0.2.6', '0.2.7', '0.2.8', '0.2.9', '0.3.0', '0.3.1', '0.3.2', '0.3.3'));

// Keep this extension always active!
setExtensionAlwaysActive('Y');

switch (getExtensionMode()) {
	case 'register': // Do stuff when installation is running
		// SQL commands to run
		addAdminMenuSql('task', NULL, 'Aufgaben-Management','Erweitertes Aufgaben-Management zur leichten verwaltung der vom System erzeugten Aufgaben.',1);
		addAdminMenuSql('task','list_task','Aufgaben auflisten','Alle Ihnen zugewiesenen Aufgaben auflisten (keine Updates).',1);
		addExtensionSql("UPDATE `{?_MYSQL_PREFIX?}_task_system` SET `status`='SOLVED' WHERE `status`='CLOSED'");
		break;

	case 'remove': // Do stuff when removing extension
		// SQL commands to run
		addExtensionSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_admin_menu` WHERE `action`='task'");
		break;

	case 'activate': // Do stuff when admin activates this extension
		// SQL commands to run
		addExtensionSql('');
		break;

	case 'deactivate': // Do stuff when admin deactivates this extension
		// SQL commands to run
		addExtensionSql('');
		break;

	case 'update': // Update an extension
		switch (getCurrentExtensionVersion()) {
			case '0.0.1': // SQL queries for v0.0.1
				// This update depends on ext-sql_patches update!
				addExtensionDependency('sql_patches');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Veraltetes Update entfernt.");
				break;

			case '0.0.1': // SQL queries for v0.0.1
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Unn&ouml;tige Script-Teile aus what-list_tasks.php herausgel&ouml;scht; beim Anzeigen einer Extension-Update, oder -Register Aufgabe werden bei eingeschaltetem Verbose-Modus alle SQL-Anweisungen aufgelistet.");
				break;

			case '0.0.4': // SQL queries for v0.0.4
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Fehler <div class=\"notice\">Warning: Missing argument 2 for create_timestamp_from_selections() in {?PATH?}inc/libs/pro_functions.php on line 227</div> behoben.");
				break;

			case '0.0.5': // SQL queries for v0.0.5
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("&amp;admin= in &amp;amp;admin= umgewandelt.");
				break;

			case '0.0.6': // SQL queries for v0.0.6
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Wegen des Theme-Supportes hat sich die URL zur CSS-Datei ge&auml;ndert.");
				break;

			case '0.0.7': // SQL queries for v0.0.7
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Erstellung der Extra-&Uuml;bersichten verbessert.");
				break;

			case '0.0.8': // SQL queries for v0.0.8
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Fehler beseitigt, wenn error_reporting=E_ALL gesetzt ist.");
				break;

			case '0.0.9': // SQL queries for v0.0.9
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Fehler bei Abfrage der payout-Erweiterung beseitigt.");
				break;

			case '0.1.0': // SQL queries for v0.2.1
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Task-Liste ausgelagert als Template");
				break;

			case '0.1.1': // SQL queries for v0.1.1
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Design &quot;Solid-Business&quot; eingebaut.");
				break;

			case '0.1.2': // SQL queries for v0.1.2
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Seit <strong>Patch 340</strong> &uuml;berfl&uuml;ssige HTML-Tags entfernt.");
				break;

			case '0.1.3': // SQL queries for v0.1.3
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Link zum Mitgliedsprofil in Funktion <u>generateUserProfileLink()</u> ausgelagert.");
				break;

			case '0.1.4': // SQL queries for v0.1.4
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("W&ouml;rter <strong>{?mt_word?}</strong>, <strong>{?mt_word2?}</strong> und <strong>{?mt_word3?}</strong> sind austauschbar.");
				break;

			case '0.1.5': // SQL queries for v0.1.5
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Links wegen <strong>what=admins_contct</strong> ge&auml;ndert.");
				break;

			case '0.1.6': // SQL queries for v0.1.6
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Weitere Direkt-Links eingebaut:<br />
<ul>
  <li>L&auml;ndercodes</li>
  <li>Wartende Verdopplungen</li>
  <li><strong>Ge&auml;ndert:</strong> Wartende Auszahlungen</li>
  <li>Teilnehmer an der Aktiv-Rallye</li>
  <li>Nett hinweisende Linktitel hinzugef&uuml;gt. :-)</li>
</ul>");
				break;

			case '0.1.7': // SQL queries for v0.1.7
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Direkt Links zum Sponsorenbereich vorbereitend eingebaut.");
				break;

			case '0.1.8': // SQL queries for v0.1.8
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Es werden alle installierten und aktivierten Themes angezeigt und verlinkt.");
				break;

			case '0.1.9': // SQL queries for v0.1.9
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("CSS-Datei in general.css verschmolzen (Patch 435!)");
				break;

			case '0.2.0': // SQL queries for v0.2.0
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Alle Administratoren, Referal-Banner und aktivierte Referal-Banner werden nun eingeblendet.");
				break;

			case '0.2.1': // SQL queries for v0.2.1
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Problem mit &uuml;berlanger Textbreite beseitigt.");
				break;

			case '0.2.2': // SQL queries for v0.2.2
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Link zum Freischalten von Sponoren-Accounts korregiert.");
				break;

			case '0.2.3': // SQL queries for v0.2.3
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Sortierungsreihenfolge grundlegend ge&auml;ndert: Es wird jetzt nach Mitglied-Id, Aufgabenbereich, Infos und nach dem Erstellunsdatum sortiert.");
				break;

			case '0.2.4': // SQL queries for v0.2.4
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Abspeichern von Einstellungen repariert.");
				break;

			case '0.2.5': // SQL queries for v0.2.5
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("<strong>Nur mit bonus v0.6.9 oder h&ouml;her:</strong> Zuschaltbare Bonis werden auch bei der Ermittlung Anzahl teilnehmender Mitglieder mit ber&uumk;cksichtigt.");
				break;

			case '0.2.6': // SQL queries for v0.2.6
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Teilnehmer der Bettel-Rallye werden angezeigt.");
				break;

			case '0.2.7': // SQL queries for v0.2.7
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Link zum direkten Aufheben einer Urlaubsschaltung eines Mitgliedes korregiert.");
				break;

			case '0.2.8': // SQL queries for v0.2.8
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Sicherheitsupdate f&uuml;r die Include-Befehle.");
				break;

			case '0.2.9': // SQL queries for v0.2.9
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("if-Anweisungen auf Funktion <strong>empty()</strong> umgestellt. Update-Aufgaben werden nach &quot;Bearbeitung&quot; nicht mehr als <strong>Erledigt</strong> gesetzt. Dies hatte sonst den Anschein, die Update-Aufgaben m&uuml;ssten erledigt werden, um die Erweiterungs-Updates einzuspielen, was aber automatisch geschieht.");
				break;

			case '0.3.0': // SQL queries for v0.3.0
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Export-Accounts werden in Task-&Uuml;bersicht aufgelistet.");
				break;

			case '0.3.1': // SQL queries for v0.3.1
				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Diverse Fixes an den Templates (Notice-Hinweise vom PHP-Interpreter entfernt).");
				break;

			case '0.3.2': // SQL queries for v0.3.2
				// This update depends on user update
				addExtensionDependency('sql_patches');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("H&auml;ngt nun von <u>ext-user</u> ab.");
				break;

			case '0.3.3': // SQL queries for v0.3.3
				addExtensionSql('ALTER TABLE `{?_MYSQL_PREFIX?}_task_system` CHANGE `assigned_admin` `assigned_admin` BIGINT(20) NULL DEFAULT NULL');
				addExtensionSql('ALTER TABLE `{?_MYSQL_PREFIX?}_task_system` CHANGE `userid` `userid` BIGINT(20) NULL DEFAULT NULL');
				addExtensionSql('UPDATE `{?_MYSQL_PREFIX?}_task_system` SET `assigned_admin`=NULL WHERE `assigned_admin`=0');
				addExtensionSql('UPDATE `{?_MYSQL_PREFIX?}_task_system` SET `userid`=NULL WHERE `userid`=0');

				// Update notes (these will be set as task text!)
				setExtensionUpdateNotes("Zugewiesener Admin und User-Id d&uuml;rfen nun NULL sein.");
				break;
		} // END - switch
		break;

	case 'modify': // When the extension got modified
		break;

	case 'test': // For testing purposes
		break;

	case 'init': // Do stuff when extension is initialized
		break;

	default: // Unknown extension mode
		logDebugMessage(__FILE__, __LINE__, sprintf("Unknown extension mode %s in extension %s detected.", getExtensionMode(), getCurrentExtensionName()));
		break;
} // END - switch

// [EOF]
?>
