<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/29/2004 *
 * ===================                          Last change: 08/22/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-add_rallye.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Add new rallye                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Neue Ref-Rallye einfuegen                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent()) {
	// Generate timestamps
	$START = mktime(postRequestElement('start_hour'), postRequestElement('start_min'), postRequestElement('start_sec'), postRequestElement('start_month'), postRequestElement('start_day'), postRequestElement('start_year'));
	$END   = mktime(postRequestElement('end_hour')  , postRequestElement('end_min')  , postRequestElement('end_sec')  , postRequestElement('end_month')  , postRequestElement('end_day')  , postRequestElement('end_year')  );

	// Is there already a rallye running?
	$result = SQL_QUERY_ESC("SELECT `id`,`admin_id` FROM `{?_MYSQL_PREFIX?}_rallye_data` WHERE (`start_time` <= %s AND `end_time` >= %s) OR (`start_time` >= %s AND `start_time` <= %s) LIMIT 1",
		array($START, $START, $START, $END), __FILE__, __LINE__);

	if (SQL_HASZERONUMS($result)) {
		// Ok, start and end time did not overlap
		SQL_QUERY_ESC("INSERT INTO `{?_MYSQL_PREFIX?}_rallye_data` (`admin_id`,`title`,`descr`, template, `start_time`,`end_time`,`auto_add_new_user`,`is_active`,`send_notify`)
VALUES (%s,'%s','%s','%s',%s,%s,'%s','%s','%s')",
			array(
				getCurrentAdminId(),
				postRequestElement('title'),
				postRequestElement('descr'),
				postRequestElement('template'),
				$START,
				$END,
				postRequestElement('auto_add'),
				postRequestElement('active'),
				postRequestElement('notify'),
			), __FILE__, __LINE__);

		// Load id
		$id = SQL_INSERTID();

		if (!empty($id)) {
			// Reload to prices...
			redirectToUrl('modules.php?module=admin&amp;what=config_rallye_prices&amp;rallye='.$id);
		} else {
			// Problem detected...
			displayMessage('{--RALLYE_PROBLEM_CREATE--}');
		}
	} else {
		// Free memory
		SQL_FREERESULT($result);

		// Overlapping detected
		displayMessage('{--RALLYE_OVERLAP_TIMES--}');
	}
} // END - if

// Starting day
$content['start_sec']   = addSelectionBox('sec'  , 0                   , 'start');
$content['start_min']   = addSelectionBox('min'  , 0                   , 'start');
$content['start_hour']  = addSelectionBox('hour' , getShortHour()      , 'start');
$content['start_day']   = addSelectionBox('day'  , getDay()            , 'start');
$content['start_month'] = addSelectionBox('month', getMonth()          , 'start');
$content['start_year']  = addSelectionBox('year' , getYear()           , 'start');

// Ending timestamp
$endingStamp = time() + (getOneDay() * 7);

// Ending day
$content['end_sec']   = addSelectionBox('sec'  , 0                     , 'end');
$content['end_min']   = addSelectionBox('min'  , 0                     , 'end');
$content['end_hour']  = addSelectionBox('hour' , getShortHour()        , 'end');
$content['end_day']   = addSelectionBox('day'  , getDay($endingStamp)  , 'end');
$content['end_month'] = addSelectionBox('month', getMonth($endingStamp), 'end');
$content['end_year']  = addSelectionBox('year' , getYear($endingStamp) , 'end');

// Load template
loadTemplate('admin_add_rallye', false, $content);

// [EOF]
?>
